Ticket #1262 (closed defect: fixed)

Opened 3 years ago

Last modified 20 months ago

Including individual glib headers no longer supported

Reported by: guest Owned by: somebody
Priority: normal Milestone: 0.11.0
Component: general (Gtk+, Glib) Version: 0.11.0
Keywords: Cc: 665557@…

Description

Dear gtk2hs authors,

at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665557 there is a heads-up bug report against gtk2hs that including individual glib headers will stop working with glib 2.32, and the Haskell bindings do not compile against these versions. I’d appreciate a release that builds with these versions in time. See http://people.debian.org/~biebl/glib-single-include/haskell-gtk_0.12.2-1.log for a failing build.

Thanks, Joachim

Change History

Changed 2 years ago by guest

This caused a build failure in Ubuntu quantal: https://bugs.launchpad.net/ubuntu/+source/haskell-gtk/+bug/1014932

Changed 20 months ago by dmwit

  • status changed from new to closed
  • resolution set to fixed

I think this has already been fixed. At least a quick grep for "glib/.*\.h" doesn't turn up anything that looks bad. And I've built gtk2hs here, despite pkg-config reporting that glib is at version 2.32.4. So I'm closing; please complain loudly if this is in error.

Note: See TracTickets for help on using tickets.